Bug 1157850 - File command does not recognize kernel images on ppc64le
Summary: File command does not recognize kernel images on ppc64le
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: file
Version: 7.0
Hardware: ppc64le
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jan Kaluža
QA Contact: Karel Srot
URL:
Whiteboard:
Depends On:
Blocks: 1155673
TreeView+ depends on / blocked
 
Reported: 2014-10-27 21:02 UTC by Mike Gahagan
Modified: 2016-10-04 12:21 UTC (History)
4 users (show)

Fixed In Version: file-5.11-23.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 08:09:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2155 normal SHIPPED_LIVE Moderate: file security and bug fix update 2015-11-19 08:39:11 UTC

Description Mike Gahagan 2014-10-27 21:02:35 UTC
Description of problem:
File command does not recognize kernel images on ppc64le, instead it just shows them as ELF 64-bit object files

Version-Release number of selected component (if applicable):
file-5.11-22.ael7a.ppc64le

How reproducible:
always

Steps to Reproduce:
1.file /boot/vmlinu*
2.
3.

Actual results:
file vmlinuz-0-rescue-530839d186024aa99897faa25fc1a5d5 
vmlinuz-0-rescue-530839d186024aa99897faa25fc1a5d5: ELF 64-bit LSB shared object, version 1 (SYSV), statically linked, BuildID[sha1]=0xce6fe29d08ce88aa655ea453ab57965b6005a93a, stripped
[root@ibm-p8-kvm-03-guest-05 boot]# file vmlinuz-3.10.0-191.ael7a.ppc64le 
vmlinuz-3.10.0-191.ael7a.ppc64le: ELF 64-bit LSB shared object, version 1 (SYSV), statically linked, BuildID[sha1]=0xce6fe29d08ce88aa655ea453ab57965b6005a93a, stripped

Expected results:
similar to (from x86_64 system):
[m@localhost ~]$ file /boot/vmlinuz-*
/boot/vmlinuz-0-rescue-f4533630f4e24fa0a5a1101b4fbc65ec: Linux kernel x86 boot executable bzImage, version 3.10.0-48.el7.x86_64 (mockbuild@x86-021.build.eng.bos.redhat.co, RO-rootFS, swap_dev 0x4, Normal VGA
/boot/vmlinuz-3.10.0-105.el7.bz1076077.2.x86_64:         Linux kernel x86 boot executable bzImage, version 3.10.0-105.el7.bz1076077.2.x86_64 (mockbuild@x86-025.build.eng., RO-rootFS, swap_dev 0x4, Normal VGA
/boot/vmlinuz-3.10.0-123.el7.x86_64:                     Linux kernel x86 boot executable bzImage, version 3.10.0-123.el7.x86_64 (mockbuild@x86-017.build.eng.bos.redhat.c, RO-rootFS, swap_dev 0x4, Normal VGA
/boot/vmlinuz-3.10.0-143.el7.x86_64:                     Linux kernel x86 boot executable bzImage, version 3.10.0-143.el7.x86_64 (mockbuild@x86-017.build.eng.bos.redhat.c, RO-rootFS, swap_dev 0x4, Normal VGA
/boot/vmlinuz-3.10.0-185.el7.x86_64:                     Linux kernel x86 boot executable bzImage, version 3.10.0-185.el7.x86_64 (mockbuild@x86-017.build.eng.bos.redhat.c, RO-rootFS, swap_dev 0x4, Normal VGA

Additional info:

Comment 15 errata-xmlrpc 2015-11-19 08:09:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2155.html


Note You need to log in before you can comment on or make changes to this bug.